org.apache.poi.ss.format

## Class CellNumberStringMod

- java.lang.Object
- - org.apache.poi.ss.format.CellNumberStringMod

- All Implemented Interfaces:
    java.lang.Comparable<CellNumberStringMod>

      @Internal
      public class CellNumberStringMod
      extends java.lang.Object
      implements java.lang.Comparable<CellNumberStringMod>

  Internal helper class for CellNumberFormatter This class represents a single modification to a result string. The way this works is complicated, but so is numeric formatting. In general, for most formats, we use a DecimalFormat object that will put the string out in a known format, usually with all possible leading and trailing zeros. We then walk through the result and the original format, and note any modifications that need to be made. Finally, we go through and apply them all, dealing with overlapping modifications.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AFTER`
    `static int` | `BEFORE`
    `static int` | `REPLACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellNumberStringMod(org.apache.poi.ss.format.CellNumberFormatter.Special start, boolean startInclusive, org.apache.poi.ss.format.CellNumberFormatter.Special end, boolean endInclusive)`
    `CellNumberStringMod(org.apache.poi.ss.format.CellNumberFormatter.Special start, boolean startInclusive, org.apache.poi.ss.format.CellNumberFormatter.Special end, boolean endInclusive, char toAdd)`
    `CellNumberStringMod(org.apache.poi.ss.format.CellNumberFormatter.Special special, java.lang.CharSequence toAdd, int op)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(CellNumberStringMod that)`
    `boolean` | `equals(java.lang.Object that)`
    `org.apache.poi.ss.format.CellNumberFormatter.Special` | `getEnd()`
    `int` | `getOp()`
    `org.apache.poi.ss.format.CellNumberFormatter.Special` | `getSpecial()`
    `java.lang.CharSequence` | `getToAdd()`
    `int` | `hashCode()`
    `boolean` | `isEndInclusive()`
    `boolean` | `isStartInclusive()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BEFORE

          public static final int BEFORE

      See Also:
        Constant Field Values

    - #### AFTER

          public static final int AFTER

      See Also:
        Constant Field Values

    - #### REPLACE

          public static final int REPLACE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CellNumberStringMod

          public CellNumberStringMod(org.apache.poi.ss.format.CellNumberFormatter.Special special,
                                     java.lang.CharSequence toAdd,
                                     int op)

    - #### CellNumberStringMod

          public CellNumberStringMod(org.apache.poi.ss.format.CellNumberFormatter.Special start,
                                     boolean startInclusive,
                                     org.apache.poi.ss.format.CellNumberFormatter.Special end,
                                     boolean endInclusive,
                                     char toAdd)

    - #### CellNumberStringMod

          public CellNumberStringMod(org.apache.poi.ss.format.CellNumberFormatter.Special start,
                                     boolean startInclusive,
                                     org.apache.poi.ss.format.CellNumberFormatter.Special end,
                                     boolean endInclusive)

  - ### Method Detail

    - #### compareTo

          public int compareTo(CellNumberStringMod that)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CellNumberStringMod>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getSpecial

          public org.apache.poi.ss.format.CellNumberFormatter.Special getSpecial()

    - #### getOp

          public int getOp()

    - #### getToAdd

          public java.lang.CharSequence getToAdd()

    - #### getEnd

          public org.apache.poi.ss.format.CellNumberFormatter.Special getEnd()

    - #### isStartInclusive

          public boolean isStartInclusive()

    - #### isEndInclusive

          public boolean isEndInclusive()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.